App\Entity\Representation:
    type: entity
    table: representations
    inheritanceType: SINGLE_TABLE
    discriminatorColumn:
        name: discr
        type: string
    discriminatorMap:
        representation: Representation
        catch: RepresentationCatch
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        date:
            type: datetime
        packSpec:
            type: boolean
            column: pack_spec
        packImpro:
            type: boolean
            column: pack_impro
    manyToOne:
        spectacle:
            targetEntity: Spectacle
            inversedBy: representations
            nullable: false